My Oracle Support Banner

autoupgrade fails with Error: "It Was Not Possible To Find Or Validate the ORACLE_BASE For The Source" or "$ORACLE_HOME/bin/orabase execution failed" (Doc ID 2573304.1)

Last updated on MAY 07, 2024

Applies to:

Oracle Database - Enterprise Edition - Version 12.1.0.2 and later
Generic UNIX

Symptoms

While performing an Upgrade from 12.1.0.2 to 19.3 using autoupgrade tool gives the following message:

$ORACLE_HOME/jdk/bin/java -jar autoupgrade.jar -config config.cfg -mode analyze
AutoUpgrade tool launched with default options
It was not possible to find or validate the ORACLE_BASE for the source home of entry <ORACLE_SID>

or

AutoUpgrade 21.2.210721 launched with default options
Processing config file ...
upg1
Execution of Oracle Base utility, /u01/app/oracle/12.1.0.2/bin/orabase, failed for entry upg1. Review the log file /home/oracle/hafxmonp/work/upgrade/cfgtoollogs/upgrade/auto/autoupgrade_user.log for possible causes.

INFO Loading user config file metadata
ERROR Oracle Base enviromental variable is not set
WARNING $ORACLE_HOME/bin/orabase execution failed; incorrect $ORACLE_HOME/install/orabasetab content
2022-11-15 15:24:58.290 INFO Oracle Base utility failed to determine ORACLE_BASE for ORACLE_HOME /u01/app/oracle/12.1.0.2

 

 

 

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.